package com.zzsn.utility.model;

/**
 * 情报课题Model
 * @author 刘小鹏
 * @date 2015-12-23 14:13
 * @company 郑州数能软件科技有限公司
 */
public class Infotask {


		//columns START
	    /**
	     * id       db_column: ID 
	     */ 	
		private Long id;
	    /**
	     * orgId       db_column: ORG_ID 
	     */ 	
		private Long orgId;
	    /**
	     * name       db_column: NAME 
	     */ 	
		private String name;
	    /**
	     * survey       db_column: SURVEY 
	     */ 	
		private String survey;
	    /**
	     * sponsor       db_column: SPONSOR 
	     */ 	
		private String sponsor;
	    /**
	     * keywords       db_column: KEYWORDS 
	     */ 	
		private String keywords;
	    /**
	     * excludeWords       db_column: EXCLUDE_WORDS 
	     */ 	
		private String excludeWords;
	    /**
	     * startDate       db_column: START_DATE 
	     */ 	
		private String startDate;
	    /**
	     * endDate       db_column: END_DATE 
	     */ 	
		private String endDate;
	    /**
	     * createBy       db_column: CREATE_BY 
	     */ 	
		private String createBy;
	    /**
	     * createDate       db_column: CREATE_DATE 
	     */ 	
		private String createDate;
		private String taskStartDate;
		private String taskEndDate;
		//columns END


		public Long getId() {
			return id;
		}
		public void setId(Long id) {
			this.id = id;
		}
		public Long getOrgId() {
			return orgId;
		}
		public void setOrgId(Long orgId) {
			this.orgId = orgId;
		}
		public String getName() {
			return name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public String getSurvey() {
			return survey;
		}
		public void setSurvey(String survey) {
			this.survey = survey;
		}
		public String getSponsor() {
			return sponsor;
		}
		public void setSponsor(String sponsor) {
			this.sponsor = sponsor;
		}
		public String getKeywords() {
			return keywords;
		}
		public void setKeywords(String keywords) {
			this.keywords = keywords;
		}
		public String getExcludeWords() {
			return excludeWords;
		}
		public void setExcludeWords(String excludeWords) {
			this.excludeWords = excludeWords;
		}
		public String getStartDate() {
			return startDate;
		}
		public void setStartDate(String startDate) {
			this.startDate = startDate;
		}
		public String getEndDate() {
			return endDate;
		}
		public void setEndDate(String endDate) {
			this.endDate = endDate;
		}
		public String getCreateBy() {
			return createBy;
		}
		public void setCreateBy(String createBy) {
			this.createBy = createBy;
		}
		public String getCreateDate() {
			return createDate;
		}
		public void setCreateDate(String createDate) {
			this.createDate = createDate;
		}
		public String getTaskStartDate() {
			return taskStartDate;
		}
		public void setTaskStartDate(String taskStartDate) {
			this.taskStartDate = taskStartDate;
		}
		public String getTaskEndDate() {
			return taskEndDate;
		}
		public void setTaskEndDate(String taskEndDate) {
			this.taskEndDate = taskEndDate;
		}
		@Override
		public int hashCode() {
			final int prime = 31;
			int result = 1;
			result = prime * result + ((id == null) ? 0 : id.hashCode());
			return result;
		}
		@Override
		public boolean equals(Object obj) {
			if (this == obj)
				return true;
			if (obj == null)
				return false;
			if (getClass() != obj.getClass())
				return false;
			Infotask other = (Infotask) obj;
			if (id == null) {
				if (other.id != null)
					return false;
			} else if (!id.equals(other.id))
				return false;
			return true;
		}

	
}
